> For the complete documentation index, see [llms.txt](https://docs.halosecurity.com/api/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.halosecurity.com/api/webhooks.md).

# Webhooks

Webhooks can be added and managed in [your account](https://app.halosecurity.com/user/security/events/webhooks) under the Events/Webhooks section.

To add a webhook URL, click the **+** icon on the webhooks settings page and enter the URL where you'd like to receive the webhooks.

Once created, you can click the triangle icon to test the webhook.

When new events are created, your webhook URL will receive a POST request with the event [JSON content](/api/endpoints/event.md).

For more information about which events can be received via webhooks, please see the [Events](/api/events-archive.md) section.


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.halosecurity.com/api/webhooks.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
